set more off
cd /*add path here*/

*Figure 1*
use FigureData1, clear

twoway (tsline SW_top1, lcolor(black) lpattern(solid) ) ///
(connected sa_top1_married year, sort msize(medium) msymbol(triangle) mcolor(black) lcolor(black) lpattern(solid) ) ///
(connected sa_top1_all year, sort msize(medium) msymbol(circle) mcolor(black) lcolor(black) lpattern(solid) ), ///
legend(on rows(3) region(margin(zero) lcolor(none)) bmargin(zero)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) legend(region(fcolor(white) lcolor(white))) ///
xlabel(1900(10)2010) ytitle("Share of national income") ///
title(Inequality in South Africa and Sweeden) 

*Figure 2*
use FigureData2, clear

twoway (tsline SA_top1, lcolor(black) lpattern(solid)) ///
(tsline SA_top5, lcolor(black) lpattern(dash)) ///
(connected relwage year, sort msize(medium) msymbol(square) mcolor(black) lcolor(black) lpattern(solid) yaxis(2)) ///
(connected invblacks year, sort msize(medium) msymbol(triangle) mcolor(black) lcolor(black) lpattern(solid) yaxis(2)), ///
legend(on rows(4) region(margin(zero) lcolor(none)) bmargin(zero)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) legend(region(fcolor(white) lcolor(white))) ///
 xlabel(1910(10)2010) ytitle("Share of national income") ytitle("Between-group inequality", axis(2)) title("Inequality in South Africa")


*Figure 3*
use FigureData3, clear

twoway (tsline SW_top1, lcolor(black) lpattern(solid)) ///
(tsline SW_top5, lcolor(black) lpattern(dash)) ///
(connected s4_SW year, sort msize(medium) msymbol(square) mcolor(black) lcolor(black) lpattern(solid) yaxis(2)) ///
(connected s6_SW year, sort msize(medium) msymbol(triangle) mcolor(black) lcolor(black) lpattern(solid) yaxis(2)), ///
legend(on rows(4) region(margin(zero) lcolor(none)) bmargin(zero)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) legend(region(fcolor(white) lcolor(white))) ///
 xlabel(1965(5)2010) ytitle("Share of national income") ytitle("Gini coefficient", axis(2)) title("Inequality in Sweden")



